html {
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

html,
body {
  margin: 0;
  padding: 0;
  width: 100%;
}

code {
  background-color: var(--color-code-bg);
  border-radius: var(--border-radius);
  display: inline-block;
  padding: 0 3px;
}

blockquote {
  border-left: 2px solid var(--color-border);
  color: var(--color-muted);
  font-style: italic;
  margin-left: 0;
  padding-left: 3em;
}

pre code.hljs {
  font-size: 0.8333333333em;
}

.page-divider {
  border-top: 1px solid var(--color-border);
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
}

.page-divider .one {
  background: var(--color-border);
  border-radius: 50%;
  display: block;
  height: 18px;
  margin-left: auto;
  margin-right: auto;
  position: relative;
  top: -9px;
  width: 18px;
}

.page-divider .two {
  background: var(--color-white);
  border-radius: 50%;
  display: block;
  height: 16px;
  margin-left: auto;
  margin-right: auto;
  position: relative;
  top: -26px;
  width: 16px;
}

.tooltip {
  border-bottom: 1px dotted var(--color-muted);
}

.site-header-container,
.post-header-container {
  text-align: center;
  width: 100%;
}

.site-header-container.has-cover,
.post-header-container.has-cover {
  background-position: 50% 50%;
  background-size: cover;
  color: var(--color-white);
  text-shadow: 0 2px 1px rgba(0 0 0 0.67) !important;
}

.site-header-container.has-cover .title,
.post-header-container.has-cover .title {
  font-size: 2.985984em;
}

.site-header-container.has-cover .subtitle,
.site-header-container.has-cover .info,
.post-header-container.has-cover .subtitle,
.post-header-container.has-cover .info {
  font-size: 1.2em;
}

.site-header-container .scrim,
.post-header-container .scrim {
  padding: 3em 1em;
}

.site-header-container .scrim.has-cover,
.post-header-container .scrim.has-cover {
  background-color: rgb(0 0 0 0.2);
  padding: 6em 1em !important;
}

@media (min-width: 768px) {
  .site-header-container .scrim.has-cover,
  .post-header-container .scrim.has-cover {
    padding: 9em 1em !important;
  }
}
